[ltb-dev] [LDAP Tool Box - Bug #804] ubuntu trusty : slapd doesn't start with default install

noreply at lsc-project.org noreply at lsc-project.org
Fri Dec 11 11:14:44 CET 2015


Issue #804 has been updated by David Coutadeur.


There is indeed a package mismatch here. I can reproduce with my ubuntu 14.04.3 LTS.

Ubuntu 14.04.3 LTS  - released 06-08-2015
Debian 8.2          - released 05-09-2015

On default ubuntu LTS:

<pre>
apt-cache showpkg libsasl2-2 | head
Package: libsasl2-2
Versions: 
2.1.25.dfsg1-17build1 (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_trusty_main_binary-amd64_Packages) (/var/lib/dpkg/status)
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_trusty_main_binary-amd64_Packages
                  MD5: 3c521c98e6199cc3a38294bbf7517d23
</pre>

On default Debian stable:

<pre>
apt-cache showpkg libsasl2-2 | head
Package: libsasl2-2
Versions: 
2.1.26.dfsg1-13+deb8u1 (/var/lib/apt/lists/security.debian.org_dists_jessie_updates_main_binary-amd64_Packages) (/var/lib/dpkg/status)
 Description Language: 
                 File: /var/lib/apt/lists/ftp.fr.debian.org_debian_dists_jessie_main_binary-amd64_Packages
                  MD5: 3c521c98e6199cc3a38294bbf7517d23
</pre>

----------------------------------------
Bug #804: ubuntu trusty : slapd doesn't start with default install
http://tools.lsc-project.org/issues/804

Author: Martin H
Status: Closed
Priority: Normal
Assigned to: David Coutadeur
Category: OpenLDAP DEB
Target version: openldap-deb-2.4.43


$ cat /etc/lsb-release 
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.3 LTS"

$ cat /etc/debian_version 
jessie/sid

$ cat /etc/apt/sources.list.d/ltb-project.list 
deb     http://ltb-project.org/debian/jessie jessie main
deb-src http://ltb-project.org/debian/jessie jessie main

$ sudo apt-get install openldap-ltb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
  openldap-ltb-check-password openldap-ltb-contrib-overlays
The following NEW packages will be installed:
  openldap-ltb
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,663 kB of archives.
After this operation, 9,181 kB of additional disk space will be used.
Selecting previously unselected package openldap-ltb.
(Reading database ... 52960 files and directories currently installed.)
Preparing to unpack .../openldap-ltb_2.4.42.1_amd64.deb ...
Unpacking openldap-ltb (2.4.42.1) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up openldap-ltb (2.4.42.1) ...
rsyslog start/running, process 881
slapd: [INFO] Using /etc/default/slapd for configuration
slapd: [INFO] Launching OpenLDAP configuration test...
No directory, logging in with HOME=/
slapd: [ALERT] OpenLDAP configuration test failed
invoke-rc.d: initscript slapd, action "start" failed.
dpkg: error processing package openldap-ltb (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for ureadahead (0.100.0-16) ...
Errors were encountered while processing:
 openldap-ltb
E: Sub-process /usr/bin/dpkg returned an error code (1)

$ sudo /etc/init.d/slapd start
slapd: [INFO] Using /etc/default/slapd for configuration
slapd: [INFO] Launching OpenLDAP configuration test...
No directory, logging in with HOME=/
slapd: [ALERT] OpenLDAP configuration test failed




-- 
You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: http://tools.lsc-project.org/my/account
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ltb-project.org/pipermail/ltb-dev/attachments/20151211/ef335fd7/attachment.htm>


More information about the ltb-dev mailing list